Bug 1570205

Summary: SELinux is preventing dnssec-trigger- from 'read' accesses on the file unix.
Product: [Fedora] Fedora Reporter: David Jaša <djasa>
Component: selinux-policyAssignee: Lukas Vrabec <lvrabec>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 28CC: dwalsh, lvrabec, mgrepl, plautrba, pmoore
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Unspecified   
Whiteboard: abrt_hash:26daa1cb6ede2e0ce5ab5511ea4c3bc2b1d37eb8297fea8ce380d32a075414fd;VARIANT_ID=workstation;
Fixed In Version: selinux-policy-3.14.1-24.fc28 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2018-05-02 10:52:29 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description David Jaša 2018-04-20 22:30:57 UTC
Description of problem:
SELinux is preventing dnssec-trigger- from 'read' accesses on the file unix.

*****  Plugin catchall (100. confidence) suggests   **************************

If you believe that dnssec-trigger- should be allowed read access on the unix file by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# ausearch -c 'dnssec-trigger-' --raw | audit2allow -M my-dnssectrigger
# semodule -X 300 -i my-dnssectrigger.pp

Additional Information:
Source Context                system_u:system_r:dnssec_trigger_t:s0
Target Context                system_u:object_r:proc_net_t:s0
Target Objects                unix [ file ]
Source                        dnssec-trigger-
Source Path                   dnssec-trigger-
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           
Target RPM Packages           
Policy RPM                    selinux-policy-3.14.1-19.fc28.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 4.16.1-300.fc28.x86_64 #1 SMP Mon
                              Apr 9 15:29:05 UTC 2018 x86_64 x86_64
Alert Count                   10
First Seen                    2018-04-14 03:13:36 CEST
Last Seen                     2018-04-21 00:29:45 CEST
Local ID                      090ec693-53f8-4663-9897-7b3bf1946e5f

Raw Audit Messages
type=AVC msg=audit(1524263385.505:1149): avc:  denied  { read } for  pid=11347 comm="dnssec-trigger-" name="unix" dev="proc" ino=4026532073 scontext=system_u:system_r:dnssec_trigger_t:s0 tcontext=system_u:object_r:proc_net_t:s0 tclass=file permissive=0


Hash: dnssec-trigger-,dnssec_trigger_t,proc_net_t,file,read

Version-Release number of selected component:
selinux-policy-3.14.1-19.fc28.noarch

Additional info:
component:      selinux-policy
reporter:       libreport-2.9.4
hashmarkername: setroubleshoot
kernel:         4.16.1-300.fc28.x86_64
type:           libreport

Comment 1 Fedora Update System 2018-04-29 13:16:53 UTC
selinux-policy-3.14.1-24.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-9f58fabee4

Comment 2 Fedora Update System 2018-04-30 01:18:34 UTC
selinux-policy-3.14.1-24.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-9f58fabee4

Comment 3 Fedora Update System 2018-05-02 10:52:29 UTC
selinux-policy-3.14.1-24.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.